GNU bug report logs - #54766
[PATCH] 28.1.0; Native comp: Inherit working directory for sub processes (MS Windows)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Robin Putters <robin.putters@HIDDEN>; Keywords: patch moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 54766 <at> debbugs.gnu.org and Robin Putters <robin.putters@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 54766 <at> debbugs.gnu.org:


Received: (at 54766) by debbugs.gnu.org; 22 May 2022 11:27:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 22 07:27:34 2022
Received: from localhost ([127.0.0.1]:43802 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nsjkE-0007JC-4j
	for submit <at> debbugs.gnu.org; Sun, 22 May 2022 07:27:34 -0400
Received: from quimby.gnus.org ([95.216.78.240]:39408)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nsjkC-0007It-8L
 for 54766 <at> debbugs.gnu.org; Sun, 22 May 2022 07:27:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=SxkjBVpYQs1ZO47DXSe83eKVsxtSUZ7FerGwC+YljdE=; b=ud0JwvPzN0Soimv1VZudhUHgT5
 mneRJIDeeUq3wER6KjhRXSGUxVg2d9endHJEeZ4BLz6U3STQlJsA1VsmHw5NZwPnADyKBcTwcQGFG
 ulTWgjKmKQmvdxzrBsmpJiUtXE78xssgMQukpb4d0Oh/obFLqCRsivB/Flxsex54R1uQ=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nsjk2-0005cm-QB; Sun, 22 May 2022 13:27:25 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#54766: [PATCH] 28.1.0; Native comp: Inherit working
 directory for sub processes (MS Windows) 
References: <DBAPR10MB4204B859C1CE03270DDB47C5F5E69@HIDDEN>
 <83r168c1vm.fsf@HIDDEN> <87fsm3en57.fsf@HIDDEN>
X-Now-Playing: The Names's _Swimming_: "White Shadow"
Date: Sun, 22 May 2022 13:27:22 +0200
In-Reply-To: <87fsm3en57.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 23 Apr 2022 19:16:04 +0200")
Message-ID: <87o7zpvmcl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > I don't
 understand
 either -- using nativecomp Emacs without having the > Emacs executable in
 PATH works just fine for me. > > Robin, what was the actual error messages
 you were seeing? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54766
Cc: Robin Putters <robin.putters@HIDDEN>, 54766 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I don't understand either -- using nativecomp Emacs without having the
> Emacs executable in PATH works just fine for me.
>
> Robin, what was the actual error messages you were seeing?

More information was requested, but no response was given within a
month, so I'm closing this bug report.  If the problem still exists,
please respond to this email and we'll reopen the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54766; Package emacs. Full text available.

Message received at 54766 <at> debbugs.gnu.org:


Received: (at 54766) by debbugs.gnu.org; 23 Apr 2022 17:16:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 23 13:16:17 2022
Received: from localhost ([127.0.0.1]:57153 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1niJMn-0007J0-IP
	for submit <at> debbugs.gnu.org; Sat, 23 Apr 2022 13:16:17 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57952)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1niJMm-0007Ik-66
 for 54766 <at> debbugs.gnu.org; Sat, 23 Apr 2022 13:16:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=CYfuwaZm3layxd4lF35sLjYSmL4I1MPpDaROmMrNXmU=; b=fxACzyqp0PR0WRbirCPtFcU4kj
 0HfRwrLXNjP8tIe/ijWi+sK5+8/rO3ZaNcHg5e8jFIPqT1LK0uV9OkaOtga6it8nEALzaBWv8eyJH
 oIBfVqGagWO47C3D6wIpX9j2XvaaXUTLHQsMuCxQRc72FZJfdVfIk/aQ93Ug/QetnEYo=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1niJMc-0002a9-66; Sat, 23 Apr 2022 19:16:08 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#54766: [PATCH] 28.1.0; Native comp: Inherit working
 directory for sub processes (MS Windows) 
References: <DBAPR10MB4204B859C1CE03270DDB47C5F5E69@HIDDEN>
 <83r168c1vm.fsf@HIDDEN>
X-Now-Playing: Beatrice Dillon's _Workaround_: "Workaround One"
Date: Sat, 23 Apr 2022 19:16:04 +0200
In-Reply-To: <83r168c1vm.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 07 Apr
 2022 19:08:29 +0300")
Message-ID: <87fsm3en57.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > So the program we
 invoked
 already has its executable file name > expanded relative to
 invocation-directory, 
 and we shouldn't need PATH > at all. What am I missing? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54766
Cc: Robin Putters <robin.putters@HIDDEN>, 54766 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> So the program we invoked already has its executable file name
> expanded relative to invocation-directory, and we shouldn't need PATH
> at all.  What am I missing?

I don't understand either -- using nativecomp Emacs without having the
Emacs executable in PATH works just fine for me.

Robin, what was the actual error messages you were seeing?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54766; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 54766 <at> debbugs.gnu.org:


Received: (at 54766) by debbugs.gnu.org; 7 Apr 2022 16:08:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 07 12:08:28 2022
Received: from localhost ([127.0.0.1]:33193 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ncUgO-0001Bd-9U
	for submit <at> debbugs.gnu.org; Thu, 07 Apr 2022 12:08:28 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38638)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ncUgN-0001BR-4j
 for 54766 <at> debbugs.gnu.org; Thu, 07 Apr 2022 12:08:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51086)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ncUgH-0002Xh-Lh; Thu, 07 Apr 2022 12:08:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=xEQ8E4iANW5REMz3uEtDszTfEN5obmsG8+rFgHAe3Yc=; b=INpL8LG5sfzx
 RW5Rob/hVFYGj509IOAwLp5zJcyx7yIAx+ndekGssffFTjZps1qXd5mOB9TXDIyOG8RQ2XzX2xoJD
 4Y2cQz+Rw9cSANQH7Nfpo/zRkofB4jTq9NM60C8BfxPaLOWuaqYCGx/fl2xACTNL4TXun2SzG0PFw
 8XdE033GbEuifu9ngqo15ggLag7mrX9q+gasMb7XqxgjHp6Dq0AkWM6+/vJ+2C1Hpy79TpT0T/zan
 HxCgjfF1xmMtS9xzLTXLtAFAEbAUVHTft8fzVBO+vbub8ahNtplcIEyLa6T/FdHXgXTvuiWqEuqLB
 7DVz8oj40aNaAadE75yqxQ==;
Received: from [87.69.77.57] (port=2519 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ncUgF-0005K3-Kc; Thu, 07 Apr 2022 12:08:20 -0400
Date: Thu, 07 Apr 2022 19:08:29 +0300
Message-Id: <83r168c1vm.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robin Putters <robin.putters@HIDDEN>
In-Reply-To: <DBAPR10MB4204B859C1CE03270DDB47C5F5E69@HIDDEN>
 (message from Robin Putters on Thu, 7 Apr 2022 14:35:57 +0000)
Subject: Re: bug#54766: [PATCH] 28.1.0;
 Native comp: Inherit working directory for sub processes (MS Windows)
References: <DBAPR10MB4204B859C1CE03270DDB47C5F5E69@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54766
Cc: 54766 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Robin Putters <robin.putters@HIDDEN>
> Date: Thu, 7 Apr 2022 14:35:57 +0000
> 
> On MS Windows systems, where the Emacs executable is typically not in the PATH, creating the async sub processes for the native compiler will fail because they are started in a random working directory. The included patch will inherit the working directory from the parent emacs process by setting default-directory before creating the sub process.    

Please tell more about the failure and its reasons.  The compilation
command does this:

                   (process (make-process
                             :name (concat "Compiling: " source-file)
                             :buffer (with-current-buffer
                                         (get-buffer-create
                                          comp-async-buffer-name)
                                       (setf buffer-read-only t)
			               (current-buffer))
                             :command (list
                                       (expand-file-name invocation-name
                                                         invocation-directory)
                                       "--batch" "-l" temp-file)

So the program we invoked already has its executable file name
expanded relative to invocation-directory, and we shouldn't need PATH
at all.  What am I missing?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54766; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Apr 2022 14:58:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 07 10:58:38 2022
Received: from localhost ([127.0.0.1]:33119 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ncTan-0007aF-76
	for submit <at> debbugs.gnu.org; Thu, 07 Apr 2022 10:58:38 -0400
Received: from lists.gnu.org ([209.51.188.17]:50692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <robin.putters@HIDDEN>) id 1ncTJr-00078Q-Rr
 for submit <at> debbugs.gnu.org; Thu, 07 Apr 2022 10:41:11 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:39118)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <robin.putters@HIDDEN>)
 id 1ncTJr-00043f-7L
 for bug-gnu-emacs@HIDDEN; Thu, 07 Apr 2022 10:41:07 -0400
Received: from mail-am5eur03on072d.outbound.protection.outlook.com
 ([2a01:111:f400:fe08::72d]:27422
 helo=EUR03-AM5-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <robin.putters@HIDDEN>)
 id 1ncTJm-0003iN-Bz
 for bug-gnu-emacs@HIDDEN; Thu, 07 Apr 2022 10:41:06 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=Gn0ruaupI1E+5/SiHY1HPK4l5Bvnm98BB6nyK1zkHXTcwUWwvePs3yIuWW9EHvCZV+Ylf5CqanYMcTSoKkQe86QDNCs+sNW5lGwNAPbonttjq0S22Hs6w+diz+u2RUqEtMtaozAXCc3cSlHkJyUVwtKXwQvCG9m0QZ7hRXp4DlduNae1ZFREcf8h40TiQ3PnnoXXhvCYJj350G1gxD0/0zJCrG5Wb7PeAVnxPFBSYTFO2BgcPOl2oHwI6IWBWgkW44TjOwClR3a1DJ9h4EZ9oHDbmwCqHo0fp0ig1EUwv2kOtplZk+k2Yu+f5IczNrgIe46DGos/a1a5OQhDbAv2Yw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=7+nbbq96C9Lh6TmzdStVyN5BGrLQgHojCBR8QwNH3aQ=;
 b=cUKKkeWeLcNvrPDbye+l51OHIFagD9ok4k9r6bw5ZYkd4SnrOgPXAJmZlyRSyklU0MuTMizEk91rARBMtObSQpAh4a3M9fxth8knjSlrdr/eqVQsaZUUoDBAFpvLX+L0fWe3PWrd4Cm3kvWP9eGv8RjMRMP/nU+JpKKKi8N6ROEeRnJmdNISripAOaFDjS0lg2NMdAQ8YX5BYrdMj6EPkA4zNWUsY7VH2wM6GI3tfpPqKbPHYxlYmQM8wT+XVSvPiqJP4A4Ht0Ta3sSHqQCApODsBQD11JrILXVd0g2om2m+4QK11lPc/imrdQFZvzCTTcVCMXY6KE7B5e60rHOt5Q==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=keronic.com; dmarc=pass action=none header.from=keronic.com;
 dkim=pass header.d=keronic.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=Keronic.onmicrosoft.com; s=selector2-Keronic-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=7+nbbq96C9Lh6TmzdStVyN5BGrLQgHojCBR8QwNH3aQ=;
 b=fXDlHhJmP/LDcHQOMsNBVvqbtw+1cGs/cfKsaIJ7YyS1vYxH+kuXXyr1toOOlV3Z8impwVHyXGfAulO8e8c3ZLXu+GAS1ybB8DpRzBLIvTdpYJvJ0/hItZvBq/dV2hi4g4aQVdlnyH++G7GuEO+2RNiwe31FJlzAsxJX/pAZYCw=
Received: from DBAPR10MB4204.EURPRD10.PROD.OUTLOOK.COM (2603:10a6:10:1ce::18)
 by AM6PR10MB2021.EURPRD10.PROD.OUTLOOK.COM (2603:10a6:209:39::21)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5123.31; Thu, 7 Apr
 2022 14:35:57 +0000
Received: from DBAPR10MB4204.EURPRD10.PROD.OUTLOOK.COM
 ([fe80::8090:4af2:e704:e4a8]) by DBAPR10MB4204.EURPRD10.PROD.OUTLOOK.COM
 ([fe80::8090:4af2:e704:e4a8%3]) with mapi id 15.20.5144.022; Thu, 7 Apr 2022
 14:35:57 +0000
From: Robin Putters <robin.putters@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Subject: [PATCH] 28.1.0; Native comp: Inherit working directory for sub
 processes (MS Windows) 
Thread-Topic: [PATCH] 28.1.0; Native comp: Inherit working directory for sub
 processes (MS Windows) 
Thread-Index: AQHYSnxoolFgmrlhPkOwZgEYf6InKQ==
Date: Thu, 7 Apr 2022 14:35:57 +0000
Message-ID: <DBAPR10MB4204B859C1CE03270DDB47C5F5E69@HIDDEN>
Accept-Language: en-GB, en-US
Content-Language: en-GB
X-MS-Has-Attach: yes
X-MS-TNEF-Correlator: 
suggested_attachment_session_id: b67365ac-9986-3fdf-a707-f67c63f243e8
authentication-results: dkim=none (message not signed)
 header.d=none;dmarc=none action=none header.from=keronic.com;
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 1ac4b044-da52-4679-a8d5-08da18a3ede6
x-ms-traffictypediagnostic: AM6PR10MB2021:EE_
x-microsoft-antispam-prvs: <AM6PR10MB2021DBA873C3C5E9394116A8F5E69@HIDDEN>
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: 6DfYzARLjZYlw3RWghL0OtLYwwfUf1TAMHjT2H2ik1TTmtgv13W8V4oroiAcbZ44OUSZ/z12Jv2K2LJIAFFbIlNpuWBNsIc0ojx/bXOgGFjMEFS4AwA1JOkvPguMtjVtWwg6U/kVXZwYlG0iLDl/T5TnLZE0QOdCuuRo8k0Wi/ZycL0j6/WbV3cNE6VQ4zCK9gI4qc6gytQfxC8EiUR5rGZcYJiOlPaZGH8JVorwF9l7tojWlYPbVxxMjoEvqwhotwQAIZ/dmP/C6lZBzwhStQ2c7B66Y6hf07uCw9XVR44OB0sgDmzJ0XDj96cloL79IjtgAMchu+/70v8WFlyXwdOd+avZ0TyddvczKqZNTZXXPdTh/D26E+PtDZIClQl3b0t9hECddgjuYaFkKhEKZd620VDLX7tGmCq6P5xHBmBbiqt1y+5Bt6vhMQrc7SUq4gH5ADMaQ8GcosMIhoJrPuAWg85G2Pj+IHVu1QYbfZCtcWcDHsRw+pIKI0aWZrCCjaPaoy0D9u1hbs1ht5/tZCwGHsRQnNoGvkfEfwz0jBZGMONFld3wwRrphMteJOPnUecvRYFT4J3G+idAxnjoQe/6XovSoDYvo49z/ZkiTJ8hoCZ7wkScg5fDodd6jOcIXoGFn7mXOH5pQDrWwuOGUHUuLaGkNEyVqvEKIJ+bNMovx3jwXbpBWo6CuVco0UcHNXzbRMDLsOcgOKSklXs0kQ==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:DBAPR10MB4204.EURPRD10.PROD.OUTLOOK.COM; PTR:; CAT:NONE;
 SFS:(13230001)(396003)(376002)(346002)(136003)(39830400003)(366004)(26005)(6916009)(55016003)(38100700002)(44832011)(91956017)(122000001)(66556008)(33656002)(38070700005)(64756008)(52536014)(316002)(66446008)(186003)(8676002)(76116006)(66476007)(66946007)(2906002)(71200400001)(6506007)(9686003)(8936002)(99936003)(508600001)(86362001)(4743002)(7696005)(5660300002)(4744005);
 DIR:OUT; SFP:1102; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?iso-8859-1?Q?gHIdz98v2dCN0XC0K/JV02s76bBhRZvEgelzER7k6IaptmwWGsSNJ6rrRz?=
 =?iso-8859-1?Q?biI7p3ihrNdbL5PB0A4Qf8xS65N7379OW8f3Q8UAMpr7y4tEbzjLho7Nl1?=
 =?iso-8859-1?Q?XjpkmF24MdYJuZIh1EFTc1jQjD2rHrN5CvzjnPmfyGFCiU06t3Xa79lw5c?=
 =?iso-8859-1?Q?2CbAx2ppn2UpGZb/u0992wJlm5ORzsQOonrIBiZOfyimVNiohoduSM9ScD?=
 =?iso-8859-1?Q?QIApfqJGhl54pb0DKUNdjuMU3GlQcUC3b5MqYnmBoIdp5h8ZMFSLG1SQOl?=
 =?iso-8859-1?Q?TWHoBAKprJMl4Gu8piiNtnc5cM7uoUw2xz8/NG7HV7azt+QvTAwU3Egf96?=
 =?iso-8859-1?Q?DqDXFMeBkvrYgpul/gS5bAoDG7uNpLFLaw6gFBNTbodK697NJDip1wAHML?=
 =?iso-8859-1?Q?pzVTR5jik7iW3cMVYB3SiCRE5ZGpxZqwk03BJYegoiA8UKvA7b/Zq9qfXY?=
 =?iso-8859-1?Q?4OMXV1zqZnDD0+wgHHnN2HkYccc9sgjZHi5xKbBncgXL/CiPwtJlsc2dVx?=
 =?iso-8859-1?Q?+oT98jM9LWthisje9wH8pO8iy56HAX0pJCneIo+mUdDc1L+IC/qW/00e8Q?=
 =?iso-8859-1?Q?6ngnlm/J8wbMk82seV9XDSBVkOXXhA3lBUgCp8Ln8UY524e4iRJ27o0EuC?=
 =?iso-8859-1?Q?wssLhl2mXSpaCYvA+GnrteW16O7Vkvwacw1gpAuX+QoOI2VrZVULWi9NKb?=
 =?iso-8859-1?Q?KfMOd9EbFgneL5/F+XCAISSYGcvC+eBbKs2WaglRgv2et6rPDlMrVEZWuU?=
 =?iso-8859-1?Q?RD3lx1EapvvEka4Sp2cC6lANkjsFK9DD4RTVXV2ldcZXf9k7flnY2qRr1v?=
 =?iso-8859-1?Q?g8UqFaLH67WoFZP4Ypnn+Yj0eCjcLwQSsSuXfaiUElku3jPDTDGl27mLN+?=
 =?iso-8859-1?Q?zvdYobKKH/vZbEdi+EO0tdv9Y68VSvDU51kzvmVJxsTS4nCCzyYi71F4GG?=
 =?iso-8859-1?Q?MkLziqYKmW6A6TZKdabiTgeJwhjIJi2sPmMvEZlYaBBd3b+Ih5VM8FYTCO?=
 =?iso-8859-1?Q?PokErvCS00FuJxFZybqk5LBz2pXksG1Sx0eZzvmcayFXW/dy3TljaDWC7s?=
 =?iso-8859-1?Q?HYYr+qh04Gp4FC1zui0FELARibFTERWZkMMZM4w2e4CM1MB2PK7udHhC8i?=
 =?iso-8859-1?Q?/CqCSVP9uU+OCcQp2FHbdbdiUtNyf0r3btaSoY40lCwbpQzQUqEyv14axc?=
 =?iso-8859-1?Q?jjew/GVo9XZEwgT9fw1bdSORIotjqInClw2X02L8DtXM7LqMKiasWOSuj3?=
 =?iso-8859-1?Q?aR5DBpcrDX7bdELh/fEtjvSrkIzOTD3orsdzIh0JaBYE+oUPxu4BuUoImu?=
 =?iso-8859-1?Q?W+hx931fxLNNXKNCLOJB+VrWQTWlzrPrYJNt2ogzyT7mBdhFbAlof0Y/i6?=
 =?iso-8859-1?Q?HCuoVobcuF8151Jtj+T4DSju37zu0IdQs92/Ke/hxRhkWQiYQRXyqgHcmk?=
 =?iso-8859-1?Q?R+HvyL17wgcrBPyi776iw2c4AfTz6VsyFBpHxLe/uJFsbg0nIpmmiYf2GX?=
 =?iso-8859-1?Q?rLP8mrBBn0NSN63TVfGJqGpjDWJoYc7ChZqdWpqqzmo+lf6n8n8PLcU/SQ?=
 =?iso-8859-1?Q?SWYy94U+jfXP7hKVmlmtJEe04SeTXrHftWMT/I1V4+Gf4W0/gaLGMwKchN?=
 =?iso-8859-1?Q?NwYQWyiTa9nRRGvD31aHsd0ltwTCntMPfj9OerUPQAcbimrQ+6lVkUguiF?=
 =?iso-8859-1?Q?O1zBhXLQM2DMtc1IN+zuPbeCGXRZDCL4YdNEPIVfjUc8e12ttXIhlCreKE?=
 =?iso-8859-1?Q?P5gMdbTW0BJgFPGKMoTjcOSTIAAa7gDIZ7Q6TdOLAC76N6FoOSYf3fbrmP?=
 =?iso-8859-1?Q?fiXyzhcTag=3D=3D?=
Content-Type: multipart/mixed;
 boundary="_002_DBAPR10MB4204B859C1CE03270DDB47C5F5E69DBAPR10MB4204EURP_"
MIME-Version: 1.0
X-OriginatorOrg: keronic.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: DBAPR10MB4204.EURPRD10.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-Network-Message-Id: 1ac4b044-da52-4679-a8d5-08da18a3ede6
X-MS-Exchange-CrossTenant-originalarrivaltime: 07 Apr 2022 14:35:57.5774 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 68d6324f-fa80-4113-a30c-6ca5b389c5cc
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: 0esinuMNWLgLWJjG7rADOUihW1PjBzm9b6MCuygbQAKXS01o2bs11mQzRBdrRxwtcX0DoHK3wztYB8eEp/eg7+mbG0xSWu/4h62GNXy9MTc=
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM6PR10MB2021
Received-SPF: pass client-ip=2a01:111:f400:fe08::72d;
 envelope-from=robin.putters@HIDDEN;
 helo=EUR03-AM5-obe.outbound.protection.outlook.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, SPF_HELO_PASS=-0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 07 Apr 2022 10:58:35 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--_002_DBAPR10MB4204B859C1CE03270DDB47C5F5E69DBAPR10MB4204EURP_
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

On MS Windows systems, where the Emacs executable is typically not in the P=
ATH, creating the async sub processes for the native compiler will fail bec=
ause they are started in a random working directory. The included patch wil=
l inherit the working directory from the parent emacs process by setting de=
fault-directory before creating the sub process.    =0A=
=0A=
Robin Putters=

--_002_DBAPR10MB4204B859C1CE03270DDB47C5F5E69DBAPR10MB4204EURP_
Content-Type: application/octet-stream; name="Pat2409.diff"
Content-Description: Pat2409.diff
Content-Disposition: attachment; filename="Pat2409.diff"; size=625;
	creation-date="Thu, 07 Apr 2022 14:27:25 GMT";
	modification-date="Thu, 07 Apr 2022 14:27:25 GMT"
Content-Transfer-Encoding: base64

IGxpc3AvZW1hY3MtbGlzcC9jb21wLmVsIHwgMSArCiAxIGZpbGUgY2hhbmdlZCwgMSBpbnNlcnRp
b24oKykKCmRpZmYgLS1naXQgYS9saXNwL2VtYWNzLWxpc3AvY29tcC5lbCBiL2xpc3AvZW1hY3Mt
bGlzcC9jb21wLmVsCmluZGV4IGEzNjNiZWQuLjYxOTY4ZjQgMTAwNjQ0Ci0tLSBhL2xpc3AvZW1h
Y3MtbGlzcC9jb21wLmVsCisrKyBiL2xpc3AvZW1hY3MtbGlzcC9jb21wLmVsCkBAIC0zOTYxLDYg
KzM5NjEsNyBAQCBkaXNwbGF5IGEgbWVzc2FnZS4iCiAgICAgICAgICAgICAgICAgICAgICAgICAo
Y29tcC1sb2cgIlxuIikKICAgICAgICAgICAgICAgICAgICAgICAgIChtYXBjICMnY29tcC1sb2cg
ZXhwci1zdHJpbmdzKSkpCiAgICAgICAgICAgICAgICAgICAgKGxvYWQxIGxvYWQpCisgICAgICAg
ICAgICAgICAgICAgKGRlZmF1bHQtZGlyZWN0b3J5IGludm9jYXRpb24tZGlyZWN0b3J5KQogICAg
ICAgICAgICAgICAgICAgIChwcm9jZXNzIChtYWtlLXByb2Nlc3MKICAgICAgICAgICAgICAgICAg
ICAgICAgICAgICAgOm5hbWUgKGNvbmNhdCAiQ29tcGlsaW5nOiAiIHNvdXJjZS1maWxlKQogICAg
ICAgICAgICAgICAgICAgICAgICAgICAgICA6YnVmZmVyICh3aXRoLWN1cnJlbnQtYnVmZmVyCg==

--_002_DBAPR10MB4204B859C1CE03270DDB47C5F5E69DBAPR10MB4204EURP_--




Acknowledgement sent to Robin Putters <robin.putters@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#54766; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 22 May 2022 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.